<?php
declare(strict_types=1);

namespace App\Utils\Transfer\HisSoap;
use App\Utils\Transfer\TransferAbstract;

class ClientFactory
{

    /**
     * Get Client Transfer Class
     * @param string $name
     * @return TransferAbstract
     */
    public static function getClientTransfer(string $name): TransferAbstract
    {
        $is_mock = config('hisservice.'. $name. '.is_mock');

        return match ($is_mock) {
            false => new ClientTransfer($name),
            true => new ClientMockTransfer($name),
        };
    }
}
